Page MenuHomePhabricator

Service: Add first infobox in JSON to lead route
Closed, ResolvedPublic3 Story Points

Description

Needed for enhanced link previews: first infobox, as JSON, all rows, as a table, tr, td, so we can display data from the first infobox natively in the apps.

Event Timeline

bearND created this task.Aug 7 2015, 5:13 PM
bearND raised the priority of this task from to Needs Triage.
bearND updated the task description. (Show Details)
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 5:13 PM

@Dbrant is the goal to use wikdata for this? assume not, but confirming

@JKatzWMF No, we will simply parse the actual infobox that's part of the article content.

bearND triaged this task as Normal priority.Aug 12 2015, 2:15 AM
bearND set Security to None.
MBinder_WMF edited a custom field.Aug 14 2015, 5:50 PM

Change 232853 had a related patch set uploaded (by Niedzielski):
Move first infobox to lead route

https://gerrit.wikimedia.org/r/232853

bearND moved this task from Backlog to Doing on the Mobile-Content-Service board.Aug 26 2015, 5:49 PM
bearND moved this task from Doing to Code Review on the Mobile-Content-Service board.

Change 232853 merged by jenkins-bot:
Add first infobox to lead route

https://gerrit.wikimedia.org/r/232853

Dbrant closed this task as Resolved.Sep 2 2015, 4:32 PM